/**
******************************************************************************************************************************************************************************************
*@file                       cpu_rtc.h
*@author         
*@data                       
*@version                    v1.0
*@par Copyright(c):
*
*@par History:
*     version:author,date,desc
*     v1.0   :create this file
*
*******************************************************************************************************************************************************************************************
*/
#ifndef __CPU_RTC_H__
#define __CPU_RTC_H__

#include "cpu.h"

void rtc_cmd(functional_state_t new_state);

void rtc_set_match_value(uint32_t rtc_counter_match_value);
void rtc_it_config(functional_state_t new_state);
void rtc_set_reload_value(uint32_t rtc_realod_counter_value);
void rtc_set_div(uint16_t div);

void rtc_clear_it_pending(void);
void rtc_set_counter_val(uint32_t val);
uint32_t rtc_get_current_counter_val(void);
void rtc_set_div(uint16_t div);
void rtc_set_match_value(uint32_t rtc_counter_match_value);
void rtc_set_reload_value(uint32_t rtc_realod_counter_value);
void rtc_cmd(functional_state_t new_state);
void rtc_it_config(functional_state_t new_state);
void rtc_config(uint32_t rc_32k);
void rtc_config(uint32_t rc_32k);

#endif
